%define plugin  vdrmanager
%define name    vdr-plugin-%plugin
%define version 0.12
%define rel     6

Summary:        VDR plugin: VDR-Manager support plugin
Name:           %name
Version:        %version
Release:        %mkrel %rel
Group:          Video/Utilities
# GPLv2+: services.h
License:        GPLv2+
Source:		http://projects.vdr-developer.org/attachments/download/1747/vdr-vdrmanager-%{version}.tar.gz
BuildRequires:  pkgconfig(vdr) >= 1.7.0
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
Requires:       vdr-abi = %vdr_abi

%description
This helper plugin allows remote programming VDR using
VDR-Manager running on Android devices.

%prep
%setup -q -n vdr-%plugin-%version

%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# port number to listen (VDR manager for Android prefer TCP 6420, the default)
var=PORT
param="-p PORT"
# password (none if not given). No password forces check against svdrphosts.conf.
var=PASSWORD
param="-P PASSWORD"
# force check against svdrphosts.conf, even if a password was given
var=FORCE_SVDRPHOSTS
param="-s"
# selects the compression mode to use ('z' for zlib or 'g' for gzip and 'n' for none).
# default: none
var=COMPRESSION
param="-c COMPRESSION"
# cert and key file for SSL separated by comma (,) or one file for both"
var=CERTFILE
param="-k CERTFILE"
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.12-6.mga8
+ Revision: 1517780
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.12-5.mga7
+ Revision: 1301601
- Mageia 7 Mass Rebuild

* Thu Mar 03 2016 umeabot <umeabot> 0.12-4.mga6
+ Revision: 984692
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 0.12-3.mga6
+ Revision: 951661
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.12-2.mga5
+ Revision: 808508
- rebuild with new vdr-devel with cauldron-compatible macros

* Sun Jan 04 2015 anssi <anssi> 0.12-1.mga5
+ Revision: 808439
- initial Mageia package release

